extends Control

## SIGNALS
func load_lobby():#A Buddy is over to play 
	get_node("/root/hud").multiplayermode = get_node("/root/hud").Modes.LOCAL
	get_tree().root.add_child(load("res://GUI/teamselect.tscn").instance())
	queue_free()

func load_server_list():#Wants to see the world, from a desk
	get_node("/root/hud").multiplayermode = get_node("/root/hud").Modes.ONLINE
	get_tree().root.add_child(load("res://GUI/serverlist.tscn").instance())
	queue_free()

func singleplayer():#Wants to play alone.
	get_node("/root/hud").multiplayermode = get_node("/root/hud").Modes.SINGLEPLAYER
	get_node("/root/hud").start_game(load("res://levels/argentinafield.tscn").instance(),"res://objects/argentinaplayers.tscn","res://objects/brazilplayers.tscn")
	queue_free()
## MAIN
func _ready():
	get_node("/root/hud").toggle_pause(true)
	get_node("/root/hud").reset_hud()
	$multiplayer.connect("pressed",self,"load_lobby")
	$singleplayer.connect("pressed",self,"singleplayer")
	$online.connect("pressed",self,"load_server_list")
	if(get_tree().network_peer != null):#Disconnect from the online game
		print_debug("disconnected from: ",get_tree().network_peer)
		get_tree().network_peer.close_connection()

#The problem with relying on troon money is that your income will drop 41% every year.
#-garakfan69 (Kiwifarms)