extends "res://scripts/controller_base.gd"
#You!
var can_control = true

## MAIN
master func _physics_process(delta):
	if(can_control):
		if(is_instance_valid(select_character)):
			if(select_character.name != "ball"):
				var left = Input.get_action_strength(str(playerid)+"left")
				var right = Input.get_action_strength(str(playerid)+"right")
				var down = Input.get_action_strength(str(playerid)+"down")
				var up = Input.get_action_strength(str(playerid)+"up")
		
				var vel = Vector2()
				vel.x = (right - left)
				vel.y = (down - up)
				select_character.control_player(vel)

master func _input(event):
	if(can_control):
		if(event.is_action_pressed(str(playerid)+"swap")):
			swap()
		elif(event.is_action_pressed(str(playerid)+"samba")):#TIME TO SAMBA
			if(sambaready == Samba_Mode.READY):
				samba()
		elif(event.is_action_pressed(str(playerid)+"trip")):
			select_character.tripper()

func _ready():
	for child in $players.get_children():
		characters.append(child)
	swap()

	if(get_tree().network_peer != null):
		if(get_tree().network_peer.get_unique_id() != get_network_master()):
			can_control = false